import router from '@/router'

const isEnterprise = () => {
  const currentRoute = router.currentRoute.value
  let bool = currentRoute?.meta?.loginType === 'enterprise'
  if (currentRoute?.path === '/enterpriseVerification') bool = true
  return bool
}

export const getIsEnterprise = () => { isEnterprise() }

// 获取token
export const getToken = (num) => { // 1:ENT, 2:PER
  const arr = ['ENT_ACCESS_TOKEN', 'PER_ACCESS_TOKEN']
  let type = isEnterprise() ? arr[0] : arr[1]
  //
  if (num) type = arr[num-1]
  return localStorage.getItem(type)
}

// 设置token
export const setToken = (token, switchToEnt = 0) => { // 个人切换企业switchToEnt = 1
  return localStorage.setItem((switchToEnt || isEnterprise() ? 'ENT_ACCESS_TOKEN' : 'PER_ACCESS_TOKEN'), token)
}

// 清除token
export const removeToken = () => {
  localStorage.removeItem('ENT_ACCESS_TOKEN')
  localStorage.removeItem('PER_ACCESS_TOKEN')
  localStorage.removeItem('ENT_REFRESH_TOKEN')
  localStorage.removeItem('PER_REFRESH_TOKEN')
}
// 获取刷新token
export const getRefreshToken = () => {
  return localStorage.getItem(isEnterprise() ? 'ENT_REFRESH_TOKEN' : 'PER_REFRESH_TOKEN')
}

// 设置刷新token
export const setRefreshToken = (refreshToken, switchToEnt = 0) => { // 个人切换企业switchToEnt = 1
  return localStorage.setItem((switchToEnt || isEnterprise() ? 'ENT_REFRESH_TOKEN' : 'PER_REFRESH_TOKEN'), refreshToken)
}

// 租户ID
export const getTenantId = () => {
  return localStorage.getItem('tenantId')
}

export const setTenantId = (username) => {
  localStorage.setItem('tenantId', username)
}
